From e9e28662c1b82c6723e660c2802bcfdc0547a28f Mon Sep 17 00:00:00 2001
From: Shveta Malik <shveta.malik@gmail.com>
Date: Mon, 22 Jul 2024 10:10:34 +0530
Subject: [PATCH v1] Correction in doc of failover ready steps.

Unlike pg_subscription, pg_subscription_rel gives results only
when connected to the database having the subscription(s). Thus
the failover-ready steps which queries pg_subscription_rel
need to mention that the concerned query needs to be run on
the database(s) that includes the failover enabled subscription(s).
---
 doc/src/sgml/logical-replication.sgml | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

diff --git a/doc/src/sgml/logical-replication.sgml b/doc/src/sgml/logical-replication.sgml
index 1c37f63e12..542f0e771c 100644
--- a/doc/src/sgml/logical-replication.sgml
+++ b/doc/src/sgml/logical-replication.sgml
@@ -726,9 +726,11 @@ ALTER SUBSCRIPTION
    <step performance="required">
     <para>
      On the subscriber node, use the following SQL to identify which slots
-     should be synced to the standby that we plan to promote. This query will
-     return the relevant replication slots, including the main slots and table
-     synchronization slots associated with the failover-enabled subscriptions.
+     should be synced to the standby that we plan to promote. This query
+     needs to be run on the database(s) that includes the failover
+     enabled subscription(s). This query will return the relevant replication
+     slots, including the main slots and table synchronization slots associated
+     with the failover-enabled subscriptions.
      Note that the table sync slot should be synced to the standby server only
      if the table copy is finished (See <xref linkend="catalog-pg-subscription-rel"/>).
      We don't need to ensure that the table sync slots are synced in other scenarios
-- 
2.34.1

